<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ytpm.dao.AgentAttachMapper">

    <insert id="batchInsert">
        insert into yt_platform_attach
        (
         attach_id,
         attach_name,
         url,
         size,
         target_type,
         target_id,
         upload_time,
         upload_user_id
        )
        values
        <foreach collection="dataList" separator="," item="item">
            (
            #{item.attachId},
            #{item.attachName},
            #{item.url},
            #{item.size},
            #{item.targetType},
            #{item.targetId},
            #{item.uploadTime},
            #{item.uploadUserId}
            )
        </foreach>

    </insert>
</mapper>